ls {base} | R Documentation

## List Objects

### Description

`ls` and `objects` return a vector of character strings giving the names of the objects in the specified environment. When invoked with no argument at the top level prompt, `ls` shows what data sets and functions a user has defined. When invoked with no argument inside a function, `ls` returns the names of the functions local variables. This is useful in conjunction with `browser`.

### Usage

    ls(name, pos= -1, envir=pos.to.env(pos),
           all.names=FALSE, pattern)
    objects(name, pos= -1, envir=pos.to.env(pos),
           all.names=FALSE, pattern)

### Arguments

`name` | the name of an attached object appearing in the vector of names returned by `search`.
`pos` | the index of an attached object in the list returned by `search`. Defaults to the current environment.
`envir` | an evaluation environment. Defaults to the one corresponding to `pos`.
`all.names` | a logical value. If `TRUE`, all object names are returned. If `FALSE`, names which begin with a ``.'' are omitted.
`pattern` | an optional regular expression, see `grep`. Only names matching `pattern` are returned.

### See Also

`apropos` (or `find`) for finding objects in the whole search path; `grep` for more details on ``regular expressions''; `class`, `methods`, etc. for object-oriented programming.

### Examples

    .Ob <- 1
    ls(pat="O")
    ls(pat="O", all = TRUE)    # also shows ".[foo]"

    # shows an empty list because inside myfunc no variables are defined
    myfunc <- function() {ls()}
    myfunc()

    # define a local variable inside myfunc
    myfunc <- function() {y <- 1; ls()}
    myfunc()                # shows "y"